#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> sjaj(n);
    int i;
    for(i=0;i<n;i++){
        cin>>sjaj[i];
    }
    vector<long long> prefiksne(n+1);
    prefiksne[0]=0;
    for(i=1;i<=n;i++){
        prefiksne[i]=prefiksne[i-1]+sjaj[i-1];
    }
    sort(prefiksne.begin(),prefiksne.end());
    i=0;
    int bristih;
    long long res=0ll;
    while(i<=n){
        bristih=1;
        while(i<n && prefiksne[i]==prefiksne[i+1]){
            i++;
            bristih++;
        }
        res+=(1ll*bristih*(bristih-1))/2;
        i++;
    }
    cout<<res<<endl;
    return 0;
}
